<script type="text/javascript">
<![CDATA[
var submitted    = false;
var enable_check = true;

function check_form(Target)
{
	if( enable_check == false )
	{
		return true;
	}
	
	var msg_error = new Array();
	var i = 0;
	
	if( Target.liste_name.value.length < 3 || Target.liste_name.value.length > 30 )
	{
		msg_error[i++] = '{L_INVALID_LISTE_NAME}';
	}
	
	if( Target.sender_email.value.indexOf('@', 1) == -1 || Target.sender_email.value.indexOf('.', 1) == -1 )
	{
		msg_error[i++] = '{L_INVALID_EMAIL}';
	}
	
	if( Target.return_email.value.length > 0 && ( Target.return_email.value.indexOf('@', 1) == -1 || Target.return_email.value.indexOf('.', 1) == -1 ) )
	{
		msg_error[i++] = '{L_INVALID_EMAIL}';
	}
	
	if( msg_error.length > 0 )
	{
		alert(msg_error.join('\n'));
		return false;
	}
	
	if( submitted == true )
	{
		alert('{L_PAGE_LOADING}');
		return false;
	}
	
	submitted = true;
	
	return true;
}
]]>
</script>

<div id="explain">
	<p>{L_EXPLAIN}</p>
</div>

<form method="post" action="view.php?mode=liste" onsubmit="return check_form(this);">
<div class="bloc">
	<h2>{L_TITLE}</h2>
	
	<table class="content">
		<tr>
			<td class="row1"> <label for="liste_name">{L_LISTE_NAME} :</label> </td>
			<td class="row2"> <input type="text" id="liste_name" name="liste_name" value="{LISTE_NAME}" size="40" maxlength="100" class="text" /> </td>
		</tr>
		<tr>
			<td class="row1"> <label for="liste_format">{L_AUTH_FORMAT} :</label> </td>
			<td class="row2"> {FORMAT_BOX} </td>
		</tr>
		<tr>
			<td class="row1"> <label for="sender_email">{L_SENDER_EMAIL} :</label> </td>
			<td class="row2"> <input type="text" id="sender_email" name="sender_email" value="{SENDER_EMAIL}" size="40" maxlength="200" class="text" /> </td>
		</tr>
		<tr>
			<td class="row1"> <label for="return_email">{L_RETURN_EMAIL} :</label> </td>
			<td class="row2"> <input type="text" id="return_email" name="return_email" value="{RETURN_EMAIL}" size="40" maxlength="200" class="text" /> </td>
		</tr>
		<tr>
			<td class="row1"> <label for="form_url">{L_FORM_URL} :</label> </td>
			<td class="row2"> <input type="text" id="form_url" name="form_url" value="{FORM_URL}" size="40" maxlength="250" class="text" /> </td>
		</tr>
		<tr>
			<td class="row1"> <label>{L_CONFIRM_SUBSCRIBE} :</label> </td>
			<td class="row2"> <input type="radio" name="confirm_subscribe" value="1" {CHECK_CONFIRM_YES}/> <span class="m-texte">{L_YES}</span> &nbsp; <input type="radio" name="confirm_subscribe" value="0" {CHECK_CONFIRM_NO}/> <span class="m-texte">{L_NO}</span> </td>
		</tr>
		<tr>
			<td class="row1"> <label for="limitevalidate">{L_LIMITEVALIDATE} :</label><br /><span class="m-texte">{L_NOTE_VALIDATE}</span> </td>
			<td class="row2"> <input type="text" id="limitevalidate" name="limitevalidate" value="{LIMITEVALIDATE}" size="5" maxlength="3" class="text" style="width: 30px;" /> <span class="m-texte">{L_DAYS}</span> </td>
		</tr>
		<tr>
  			<td class="row1"> <label for="liste_sig">{L_SIG_EMAIL} :</label><br /><span class="m-texte">{L_SIG_EMAIL_NOTE}</span> </td>
			<td class="row2"> <textarea id="liste_sig" name="liste_sig" rows="3" cols="35">{SIG_EMAIL}</textarea></td>
		</tr>
	</table>
	
	<h2>{L_TITLE_PURGE}</h2>
	
	<table class="content">
		<tr>
			<td class="explain" colspan="2"> {L_EXPLAIN_PURGE} </td>
		</tr>
		<tr>
			<td class="row1"> <label>{L_ENABLE_PURGE} :</label> </td>
			<td class="row2"> <input type="radio" name="auto_purge" value="1" {CHECKED_PURGE_ON}/> <span class="m-texte">{L_YES}</span> &nbsp; <input type="radio" name="auto_purge" value="0" {CHECKED_PURGE_OFF}/> <span class="m-texte">{L_NO}</span> </td>
		</tr>
		<tr>
			<td class="row1"> <label for="purge_freq">{L_PURGE_FREQ} :</label> </td>
			<td class="row2"> <input type="text" id="purge_freq" name="purge_freq" value="{PURGE_FREQ}" size="5" maxlength="3" class="text" style="width: 30px;" /> <span class="m-texte">{L_DAYS}</span> </td>
		</tr>
	</table>
	
	<h2>{L_TITLE_CRON}</h2>
	
	<table class="content">
		<tr>
			<td class="explain" colspan="2"> {L_EXPLAIN_CRON} </td>
		</tr>
		<tr>
			<td class="row1"> <label>{L_USE_CRON} :</label> </td>
			<td class="row2"> <input type="radio" name="use_cron" value="1" {CHECKED_USE_CRON_ON}/> <span class="m-texte">{L_YES}</span> &nbsp; <input type="radio" name="use_cron" value="0" {CHECKED_USE_CRON_OFF}/> <span class="m-texte">{L_NO}</span> </td>
		</tr>
		<tr>
			<td class="row1"> <label for="pop_host">{L_POP_SERVER} :</label> </td>
			<td class="row2"> <input type="text" id="pop_host" name="pop_host" value="{POP_HOST}" size="30" maxlength="100" class="text" /> </td>
		</tr>
		<tr>
			<td class="row1"> <label for="pop_port">{L_POP_PORT} :</label><br /><span class="m-texte">{L_POP_PORT_NOTE}</span> </td>
			<td class="row2"> <input type="text" id="pop_port" name="pop_port" maxlength="5" value="{POP_PORT}" class="text" style="width: 40px" /> </td>
		</tr>
		<tr>
			<td class="row1"> <label for="pop_user">{L_POP_USER} :</label> </td>
			<td class="row2"> <input type="text" id="pop_user" name="pop_user" value="{POP_USER}" size="30" maxlength="50" class="text" /> </td>
		</tr>
		<tr>
			<td class="row1"> <label for="pop_pass">{L_POP_PASS} :</label> </td>
			<td class="row2"> <input type="password" id="pop_pass" name="pop_pass" value="{POP_PASS}" size="30" maxlength="50" class="text" /> </td>
		</tr>
		<tr>
			<td class="row1"> <label for="liste_alias">{L_LISTE_ALIAS} :</label> </td>
			<td class="row2"> <input type="text" id="liste_alias" name="liste_alias" value="{LISTE_ALIAS}" size="40" maxlength="200" class="text" /> </td>
		</tr>
	</table>
	
	<div class="bottom"> {S_HIDDEN_FIELDS}
		<input type="submit" name="submit" class="pbutton" value="{L_VALID_BUTTON}" /> <input type="submit" name="cancel" class="button" value="{L_CANCEL_BUTTON}" onclick="enable_check = false;" />
	</div>
</div>
</form>
